// Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "https://wikimediafoundation.org/wiki/Terms_of_Use",
        "contact": {},
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/aggregate/{project}/{access}/{agent}/{granularity}/{start}/{end}": {
            "get": {
                "description": "Given a wiki page and a date range, returns a time series of pageview counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get pageviews for a project.",
                "parameters": [
                    {
                        "type": "string",
                        "example": "en.wikipedia.org",
                        "description": "Domain of a Wikimedia project",
                        "name": "project",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-access",
                            "desktop",
                            "mobile-app",
                            "mobile-web"
                        ],
                        "type": "string",
                        "example": "all-access",
                        "description": "Method of access",
                        "name": "access",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-agents",
                            "user",
                            "spider",
                            "automated"
                        ],
                        "type": "string",
                        "example": "user",
                        "description": "Type of agent",
                        "name": "agent",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "daily",
                            "monthly"
                        ],
                        "type": "string",
                        "example": "monthly",
                        "description": "Frequency of response data",
                        "name": "granularity",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20210101",
                        "description": "Date of the first day to include, in YYYYMMDD or YYYYMMDDHH format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20210701",
                        "description": "Date of the last day to include, in YYYYMMDD or YYYYMMDDHH format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.PerProjectResponse"
                        }
                    }
                }
            }
        },
        "/per-article/{project}/{access}/{agent}/{article}/{granularity}/{start}/{end}": {
            "get": {
                "description": "Given a wiki page and a date range, returns a time series of pageview counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get pageviews for a page.",
                "parameters": [
                    {
                        "type": "string",
                        "example": "en.wikipedia.org",
                        "description": "Domain of a Wikimedia project",
                        "name": "project",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-access",
                            "desktop",
                            "mobile-app",
                            "mobile-web"
                        ],
                        "type": "string",
                        "example": "all-access",
                        "description": "Method of access",
                        "name": "access",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-agents",
                            "user",
                            "spider",
                            "automated"
                        ],
                        "type": "string",
                        "example": "user",
                        "description": "Type of agent",
                        "name": "agent",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "Jupiter",
                        "description": "Page title in URL-encoded format. The sandbox encodes titles automatically.",
                        "name": "article",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "daily",
                            "monthly"
                        ],
                        "type": "string",
                        "example": "monthly",
                        "description": "Frequency of response data",
                        "name": "granularity",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20210101",
                        "description": "Date of the first day to include, in YYYYMMDD or YYYYMMDDHH format",
                        "name": "start",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "20210701",
                        "description": "Date of the last day to include, in YYYYMMDD or YYYYMMDDHH format",
                        "name": "end",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.PerArticleResponse"
                        }
                    }
                }
            }
        },
        "/top-by-country/{project}/{access}/{year}/{month}": {
            "get": {
                "description": "Given a wiki page and a date range, returns a time series of pageview counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get pageviews for a top project by country.",
                "parameters": [
                    {
                        "type": "string",
                        "example": "en.wikipedia.org",
                        "description": "Domain of a Wikimedia project",
                        "name": "project",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-access",
                            "desktop",
                            "mobile-app",
                            "mobile-web"
                        ],
                        "type": "string",
                        "example": "all-access",
                        "description": "Method of access",
                        "name": "access",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2023",
                        "description": "The year to include, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "01",
                        "description": "The month to include, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopByCountryResponse"
                        }
                    }
                }
            }
        },
        "/top-per-country/{country}/{access}/{year}/{month}/{day}": {
            "get": {
                "description": "Given a wiki page and a date range, returns a time series of pageview counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get pageviews for a top project by country.",
                "parameters": [
                    {
                        "type": "string",
                        "example": "en.wikipedia.org",
                        "description": "Domain of a Wikimedia project",
                        "name": "project",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-access",
                            "desktop",
                            "mobile-app",
                            "mobile-web"
                        ],
                        "type": "string",
                        "example": "all-access",
                        "description": "Method of access",
                        "name": "access",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2023",
                        "description": "The year to include, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "01",
                        "description": "The month to include, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "01",
                        "description": "The day to include, in DD format",
                        "name": "day",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopPerCountryResponse"
                        }
                    }
                }
            }
        },
        "/top/{project}/{access}/{year}/{month}/{day}": {
            "get": {
                "description": "Given a wiki page and a date range, returns a time series of pageview counts.",
                "produces": [
                    "application/json"
                ],
                "summary": "Get pageviews for a top project.",
                "parameters": [
                    {
                        "type": "string",
                        "example": "en.wikipedia.org",
                        "description": "Domain of a Wikimedia project",
                        "name": "project",
                        "in": "path",
                        "required": true
                    },
                    {
                        "enum": [
                            "all-access",
                            "desktop",
                            "mobile-app",
                            "mobile-web"
                        ],
                        "type": "string",
                        "example": "all-access",
                        "description": "Method of access",
                        "name": "access",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "2023",
                        "description": "The year to include, in YYYY format",
                        "name": "year",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "01",
                        "description": "The month to include, in MM format",
                        "name": "month",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "example": "01",
                        "description": "The day to include, in DD format",
                        "name": "day",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entities.TopResponse"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "entities.Article": {
            "type": "object",
            "properties": {
                "article": {
                    "description": "Page title with spaces replaced with underscores",
                    "type": "string",
                    "example": "Jupiter"
                },
                "rank": {
                    "type": "integer"
                },
                "views": {
                    "description": "Number of pageviews",
                    "type": "integer",
                    "example": 11609
                }
            }
        },
        "entities.Country": {
            "type": "object",
            "properties": {
                "country": {
                    "description": "Country involved",
                    "type": "string",
                    "example": "Ghana"
                },
                "rank": {
                    "type": "integer"
                },
                "views": {
                    "description": "Number of pageviews",
                    "type": "integer",
                    "example": 11609
                },
                "views_ciel": {
                    "type": "integer"
                }
            }
        },
        "entities.PerArticle": {
            "type": "object",
            "properties": {
                "access": {
                    "description": "Access method",
                    "type": "string",
                    "example": "all-access"
                },
                "agent": {
                    "description": "Agent type",
                    "type": "string",
                    "example": "user"
                },
                "article": {
                    "description": "Page title with spaces replaced with underscores",
                    "type": "string",
                    "example": "Jupiter"
                },
                "granularity": {
                    "description": "Frequency of data",
                    "type": "string",
                    "example": "monthly"
                },
                "project": {
                    "description": "Wikimedia project domain",
                    "type": "string",
                    "example": "en.wikipedia.org"
                },
                "timestamp": {
                    "description": "Timestamp in YYYYMMDDHH format",
                    "type": "string",
                    "example": "2021020100"
                },
                "views": {
                    "description": "Number of pageviews",
                    "type": "integer",
                    "example": 11609
                }
            }
        },
        "entities.PerArticleResponse": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.PerArticle"
                    }
                }
            }
        },
        "entities.PerCountryArticle": {
            "type": "object",
            "properties": {
                "article": {
                    "description": "Page title with spaces replaced with underscores",
                    "type": "string",
                    "example": "Jupiter"
                },
                "project": {
                    "description": "Wikimedia project domain",
                    "type": "string",
                    "example": "en.wikipedia.org"
                },
                "rank": {
                    "type": "integer"
                },
                "views_ceil": {
                    "type": "integer"
                }
            }
        },
        "entities.PerProject": {
            "type": "object",
            "properties": {
                "access": {
                    "description": "Access method",
                    "type": "string",
                    "example": "all-access"
                },
                "agent": {
                    "description": "Agent type",
                    "type": "string",
                    "example": "user"
                },
                "granularity": {
                    "description": "Frequency of data",
                    "type": "string",
                    "example": "monthly"
                },
                "project": {
                    "description": "Wikimedia project domain",
                    "type": "string",
                    "example": "en.wikipedia.org"
                },
                "timestamp": {
                    "description": "Timestamp in YYYYMMDDHH format",
                    "type": "string",
                    "example": "2021020100"
                },
                "views": {
                    "description": "Number of pageviews",
                    "type": "integer",
                    "example": 11609
                }
            }
        },
        "entities.PerProjectResponse": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.PerProject"
                    }
                }
            }
        },
        "entities.Top": {
            "type": "object",
            "properties": {
                "access": {
                    "description": "Access method",
                    "type": "string",
                    "example": "all-access"
                },
                "articles": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.Article"
                    }
                },
                "day": {
                    "description": "Day involved",
                    "type": "string"
                },
                "month": {
                    "description": "Month involved",
                    "type": "string"
                },
                "project": {
                    "description": "Wikimedia project domain",
                    "type": "string",
                    "example": "en.wikipedia.org"
                },
                "year": {
                    "description": "Year involved",
                    "type": "string"
                }
            }
        },
        "entities.TopByCountry": {
            "type": "object",
            "properties": {
                "access": {
                    "description": "Access method",
                    "type": "string",
                    "example": "all-access"
                },
                "countries": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.Country"
                    }
                },
                "month": {
                    "description": "Month to be included",
                    "type": "string",
                    "example": "01"
                },
                "project": {
                    "description": "Wikimedia project domain",
                    "type": "string",
                    "example": "en.wikipedia.org"
                },
                "year": {
                    "description": "Year to be included",
                    "type": "string",
                    "example": "2023"
                }
            }
        },
        "entities.TopByCountryResponse": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopByCountry"
                    }
                }
            }
        },
        "entities.TopPerCountry": {
            "type": "object",
            "properties": {
                "access": {
                    "description": "Access method",
                    "type": "string",
                    "example": "all-access"
                },
                "articles": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.PerCountryArticle"
                    }
                },
                "country": {
                    "type": "string"
                },
                "day": {
                    "description": "Day involved",
                    "type": "string"
                },
                "month": {
                    "description": "Month involved",
                    "type": "string"
                },
                "year": {
                    "description": "Year involved",
                    "type": "string"
                }
            }
        },
        "entities.TopPerCountryResponse": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.TopPerCountry"
                    }
                }
            }
        },
        "entities.TopResponse": {
            "type": "object",
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entities.Top"
                    }
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "DRAFT",
	Host:             "localhost:8080",
	BasePath:         "/metrics/pageviews/",
	Schemes:          []string{"http"},
	Title:            "Wikimedia Pageviews API",
	Description:      "*This page is a work in progress.*\n\nPageviews is a public API developed and maintained by the Wikimedia Foundation that serves analytical\ndata about article pageviews of Wikipedia and its sister projects. With it, you can get pageview\ntrends on specific articles or projects; filter by agent type or access method, and choose different\ntime ranges and granularities; you can also get the most viewed articles of a certain project and\ntimespan, and even check out the countries that visit a project the most.\n",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
